"""Line analyzer that collects datga in arrays"""

import re

from LogLineAnalyzer import LogLineAnalyzer
from PyFoam.Basics.TimeLineCollection import TimeLineCollection

class TimeLineLineAnalyzer(LogLineAnalyzer):
    """Base class for analyzers that collect data in arrays"""
    
    def __init__(self):
        LogLineAnalyzer.__init__(self)
        
        self.lines=TimeLineCollection()
    
    def timeChanged(self):
        """Sets the current time in the timelines"""
        self.lines.setTime(self.getTime())

    def getTimeline(self,name):
        """@param name: Name of the timeline to return
        @return: the timeline as two list: the times and the values"""
        return self.lines.getTimes(),self.lines.getValues(name)
    
