#! /usr/bin/env python 

description="""
Runs an OpenFoam solver.  Needs the usual 3 arguments (<solver>
<directory> <case>) and passes them on (plus additional arguments).
Output is sent to stdout and a logfile inside the case directory
(PyFoamSolver.logfile) The Directory PyFoamSolver.analyzed contains
this information: a) Residuals and other information of the linear
solvers b Execution time c) continuity information d) bounding of
variables
"""
    
from PyFoam.Basics.FoamOptionParser import FoamOptionParser

parse=FoamOptionParser(description=description)

parse.parse()

from PyFoam.Execution.AnalyzedRunner import AnalyzedRunner
from PyFoam.LogAnalysis.BoundingLogAnalyzer import BoundingLogAnalyzer

run=AnalyzedRunner(BoundingLogAnalyzer(),argv=parse.getArgs())

run.start()
